%global ispell_rev	05574fe160222c3d0b6283c1433c9b087271fad1

Summary:	    Voice over IP Application
Name:       	linphone-desktop
Version:	    5.2.4
Release:	    1%{?dist}.inferit.1

License:	    GPLv2+
URL:		    https://www.linphone.org/
Source0:	    https://github.com/BelledonneCommunications/linphone-desktop/archive/%{version}/linphone-desktop-%{?gitdate}%{!?gitdate:%version}.tar.%{?gitdate:xz}%{!?gitdate:gz}
Source1:	    https://gitlab.linphone.org/BC/public/external/ispell/-/archive/%{ispell_rev}/ispell-%{ispell_rev}.tar.gz
Patch1:		    0001-Fix-build.patch
Patch2:		    0001-Use-system-CA-Bundle.patch
Patch3:		    0001-Fix-RPATH.patch

BuildRequires:	git-core
BuildRequires:	ninja-build
BuildRequires:	cmake
BuildRequires:	cmake(BCToolbox)
BuildRequires:	cmake(BelCard)
BuildRequires:	cmake(LibLinphone)
BuildRequires:	cmake(Qt5)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Quick)
BuildRequires:	cmake(Qt5QuickCompiler)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	cmake(Qt5QuickControls2)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5LinguistTools)
BuildRequires:	cmake(Qt5Concurrent)
BuildRequires:	cmake(Qt5Test)
BuildRequires:	cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(mediastreamer2)
BuildRequires:  cmake(Ortp)
BuildRequires:  cmake(BelleSIP)
BuildRequires:  cmake(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libxml-2.0)

Requires:       qt5-qtquickcontrols
Requires:       mediastreamer2
Requires:       belle-sip-grammars

Provides:	    linphone = %{version}-%{release}
Obsoletes:  	linphone < 4.1.1
Obsoletes:	    linphoneqt < 4.2.2

Provides:   	bundled(ispell) = 3.4.05

%description
Linphone is a free VoIP and video softphone based on the SIP protocol.

%prep
%autosetup -n %{name}-%{?gitdate}%{!?gitdate:%version} -p1 -Sgit -a1

# Use CMake configs to find libs
for f in BCToolbox Belcard LibLinphone LinphoneCxx Mediastreamer2; do
  rm -rf linphone-app/cmake/Find${f}.cmake
done

# Missing submodule
rm -rf external/ispell
ln -sf ../ispell-%{ispell_rev} external/ispell

# Fool build system a bit to get proper version output with 'linphone -v'
%{_bindir}/git tag -a %{version} -m "%{version}"

%build
export CXXFLAGS="%{build_cxxflags} -Wno-deprecated-declarations"
%cmake -GNinja \
	-DLINPHONEAPP_INSTALL_PREFIX:PATH=%{_prefix} \
	-DLINPHONE_QT_ONLY:BOOL=ON \
	-DENABLE_APP_PACKAGE_ROOTCA=OFF \
	-DENABLE_BUILD_VERBOSE:BOOL=ON \
	-DENABLE_UPDATE_CHECK:BOOL=OFF \
	-DENABLE_NON_FREE_CODECS:BOOL=OFF \
	-DENABLE_QT_KEYCHAIN:BOOL=OFF
%cmake_build

%install
%cmake_install

# Move to a better location
mv %{buildroot}%{_libdir}/libISpell.so \
   %{buildroot}%{_libdir}/linphone/

# Not needed
rm -rf %{buildroot}%{_bindir}/qt.conf
rm -rf %{buildroot}%{_datadir}/linphone/rootca.pem

%files
%license LICENSE*
%doc README.md CHANGELOG.md
%{_bindir}/linphone
%{_libdir}/linphone/
%{_datadir}/applications/linphone.desktop
%{_datadir}/icons/hicolor/*/apps/linphone.{png,svg}
%{_datadir}/linphone/
%{_includedir}/LinphoneApp/


%changelog
* Sun Jun 02 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 5.2.4-1.inferit.1
- Added R: belle-sip-grammars

* Fri May 31 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 5.2.4-1.inferit
- Update to 5.2.4

* Thu May 30 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 5.2.0-1.inferit.1
- Added R: mediastreamer2 and mediastreamer2

* Thu May 30 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 5.2.0-1R.inferit
- Rebuilt for MSVSphere 9.4

* Thu May 30 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 5.2.4-1.inferit
- Rebuilt for MSVSphere 9.4

* Mon Jan 01 2024 wally <wally> 5.2.0-0.4.mga10
+ Revision: 2025753
- new version 5.2.0
- use bundled ispell 3.4.05

* Fri Jun 09 2023 wally <wally> 5.0.17-1.mga9
+ Revision: 1961538
- new version 5.0.17

* Sat Dec 24 2022 wally <wally> 5.0.3-1.mga9
+ Revision: 1926404
- new version 5.0.3

* Sun Dec 04 2022 wally <wally> 4.4.11-1.mga9
+ Revision: 1917545
- new version 4.4.11

* Wed Aug 24 2022 wally <wally> 4.4.8-2.mga9
+ Revision: 1879895
- use system CA bundle

* Tue Aug 23 2022 wally <wally> 4.4.8-1.mga9
+ Revision: 1879739
- new version 4.4.8
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Aug 01 2021 wally <wally> 4.2.5-3.git20210616.1.mga9
+ Revision: 1738438
- update to latest git snapshot

* Sat Dec 19 2020 wally <wally> 4.2.5-1.mga8
+ Revision: 1661360
- new version 4.2.5

* Thu Dec 17 2020 umeabot <umeabot> 4.2.4-2.mga8
+ Revision: 1658958
- Rebuild for new Qt5

* Mon Nov 23 2020 wally <wally> 4.2.4-1.mga8
+ Revision: 1648782
- new version 4.2.4
- rediff P1

* Tue Oct 20 2020 wally <wally> 4.2.3-1.mga8
+ Revision: 1637394
- new version 4.2.3

* Sat Oct 03 2020 wally <wally> 4.2.2-1.mga8
+ Revision: 1632061
- rename as linphone-desktop
- new version 4.2.2
- add patches via Arch to build without linphone-sdk

* Sat Feb 15 2020 daviddavid <daviddavid> 4.1.1-7.mga8
+ Revision: 1525741
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Mar 31 2019 umeabot <umeabot> 4.1.1-6.mga7
+ Revision: 1383207
- Qt5 Rebuild

* Sun Nov 18 2018 wally <wally> 4.1.1-5.mga7
+ Revision: 1331060
- add patches from upstream to fix crashes with Qt >= 5.11 (mga#23854)

* Sat Sep 08 2018 wally <wally> 4.1.1-4.mga7
+ Revision: 1257841
- rebuild for aarch64

* Mon Jan 01 2018 wally <wally> 4.1.1-3.mga7
+ Revision: 1188877
- add more Qt5 requires

* Mon Jan 01 2018 wally <wally> 4.1.1-2.mga7
+ Revision: 1188871
- add Qt5 requires

* Mon Jan 01 2018 wally <wally> 4.1.1-1.mga7
+ Revision: 1188854
- obsolete old GTK based linphone
- imported package linphoneqt

